From a558212f428c847c536ae9752e7463b3775a2115 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 21:08:16 -0400
Subject: [PATCH 06/22] gnu: zathura-djvu: Move from pdf.scm to pwmt.scm.

* gnu/packages/pdf.scm (zathura-djvu): Move to [...]
* gnu/packages/pwmt.scm (zathura-djvu): [...] here.
---
 gnu/packages/pdf.scm  | 36 ------------------------------------
 gnu/packages/pwmt.scm | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 36 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 30a8ec20e6..6949ca4750 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -426,42 +426,6 @@ reading and editing of existing PDF files.")
 using libarchive.")
     (license license:zlib)))
 
-(define-public zathura-djvu
-  (package
-    (name "zathura-djvu")
-    (version "0.2.9")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-djvu/download/zathura-djvu-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "0062n236414db7q7pnn3ccg5111ghxj3407pn9ri08skxskgirln"))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs
-     `(("djvulibre" ,djvulibre)
-       ("zathura" ,zathura)))
-    (build-system meson-build-system)
-    (arguments
-     `(#:tests? #f                      ; package does not contain tests
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-plugin-directory
-           ;; Something of a regression in 0.2.8: the new Meson build system
-           ;; now hard-codes an incorrect plugin directory.  Fix it.
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "meson.build"
-               (("(install_dir:).*" _ key)
-                (string-append key
-                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
-             #t)))))
-    (home-page "https://pwmt.org/projects/zathura-djvu/")
-    (synopsis "DjVu support for zathura (DjVuLibre backend)")
-    (description "The zathura-djvu plugin adds DjVu support to zathura
-using the DjVuLibre library.")
-    (license license:zlib)))
-
 (define-public podofo
   (package
     (name "podofo")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 3d3abe168d..e535d09f06 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -25,6 +25,7 @@
 (define-module (gnu packages pwmt)
   #:use-module (gnu packages)
   #:use-module (gnu packages check)
+  #:use-module (gnu packages djvu)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -266,3 +267,39 @@ by using the poppler rendering engine.")
     (description "The zathura-pdf-mupdf plugin adds PDF support to zathura
 by using the @code{mupdf} rendering library.")
     (license license:zlib)))
+
+(define-public zathura-djvu
+  (package
+    (name "zathura-djvu")
+    (version "0.2.9")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura-djvu/download/zathura-djvu-"
+                              version ".tar.xz"))
+              (sha256
+               (base32
+                "0062n236414db7q7pnn3ccg5111ghxj3407pn9ri08skxskgirln"))))
+    (native-inputs `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("djvulibre" ,djvulibre)
+       ("zathura" ,zathura)))
+    (build-system meson-build-system)
+    (arguments
+     `(#:tests? #f                      ; package does not contain tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-plugin-directory
+           ;; Something of a regression in 0.2.8: the new Meson build system
+           ;; now hard-codes an incorrect plugin directory.  Fix it.
+           (lambda* (#:key outputs #:allow-other-keys)
+             (substitute* "meson.build"
+               (("(install_dir:).*" _ key)
+                (string-append key
+                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
+             #t)))))
+    (home-page "https://pwmt.org/projects/zathura-djvu/")
+    (synopsis "DjVu support for zathura (DjVuLibre backend)")
+    (description "The zathura-djvu plugin adds DjVu support to zathura
+using the DjVuLibre library.")
+    (license license:zlib)))
-- 
2.26.2

